set_property -dict {PACKAGE_PIN AB22 IOSTANDARD LVCMOS33 SLEW FAST} [get_ports green]
set_property -dict {PACKAGE_PIN AB21 IOSTANDARD LVCMOS33 SLEW FAST} [get_ports {red_blue_tri_o[0]}]
set_property -dict {PACKAGE_PIN U20 IOSTANDARD LVCMOS33 SLEW FAST} [get_ports {red_blue_tri_o[1]}]

set_property PACKAGE_PIN AB20 [get_ports pcie_perstn]
set_property PACKAGE_PIN C9 [get_ports {pcie_exp_4_rxn[3]}]
set_property PACKAGE_PIN D9 [get_ports {pcie_exp_4_rxp[3]}]
set_property PACKAGE_PIN C7 [get_ports {pcie_exp_4_txn[3]}]
set_property PACKAGE_PIN D7 [get_ports {pcie_exp_4_txp[3]}]
set_property PACKAGE_PIN A10 [get_ports {pcie_exp_4_rxn[2]}]
set_property PACKAGE_PIN B10 [get_ports {pcie_exp_4_rxp[2]}]
set_property PACKAGE_PIN A6 [get_ports {pcie_exp_4_txn[2]}]
set_property PACKAGE_PIN B6 [get_ports {pcie_exp_4_txp[2]}]
set_property PACKAGE_PIN C11 [get_ports {pcie_exp_4_rxn[1]}]
set_property PACKAGE_PIN D11 [get_ports {pcie_exp_4_rxp[1]}]
set_property PACKAGE_PIN C5 [get_ports {pcie_exp_4_txn[1]}]
set_property PACKAGE_PIN D5 [get_ports {pcie_exp_4_txp[1]}]
set_property PACKAGE_PIN A8 [get_ports {pcie_exp_4_rxn[0]}]
set_property PACKAGE_PIN B8 [get_ports {pcie_exp_4_rxp[0]}]
set_property PACKAGE_PIN A4 [get_ports {pcie_exp_4_txn[0]}]
set_property PACKAGE_PIN B4 [get_ports {pcie_exp_4_txp[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports pcie_perstn]
set_property PACKAGE_PIN F6 [get_ports {pcie_refclk_clk_p[0]}]
set_property PACKAGE_PIN E6 [get_ports {pcie_refclk_clk_n[0]}]


create_clock -period 10.000 -name {pcie_refclk_clk_p[0]} -waveform {0.000 5.000} [get_ports {pcie_refclk_clk_p[0]}]

set_property BITSTREAM.CONFIG.CONFIGRATE 16 [current_design]
set_property BITSTREAM.GENERAL.COMPRESS TRUE [current_design]
set_property BITSTREAM.CONFIG.SPI_BUSWIDTH 1 [current_design]
